From c3c451dc67ca2ceea8771934d764cefacd90ff22 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Thu, 15 May 2025 05:19:35 +0300
Subject: [PATCH 29/29] tileset-demo.sav: Clear resource on unknown FoW tiles

Then saved with 3.2.0-beta2.

See RM #1385

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 data/scenarios/tileset-demo.sav | 42 ++++++++++++++++-----------------
 1 file changed, 21 insertions(+), 21 deletions(-)

diff --git a/data/scenarios/tileset-demo.sav b/data/scenarios/tileset-demo.sav
index b817fd9a2a..d97f83daf0 100644
--- a/data/scenarios/tileset-demo.sav
+++ b/data/scenarios/tileset-demo.sav
@@ -1,6 +1,6 @@
 
 [scenario]
-game_version=3019404
+game_version=3020000
 is_scenario=TRUE
 name=_("Tileset Demo")
 authors=_("Daniel Markstedt")
@@ -15,7 +15,7 @@ ruleset_locked=TRUE
 options=" +version3"
 version=60
 reason="Scenario"
-revision="3.1.94.4-alpha2+"
+revision="3.2.0-beta2"
 orig_version="old savegame3, or older"
 rulesetdir="classic"
 dbid=-1
@@ -34,8 +34,8 @@ extras_vector="Irrigation","Mine","Oil Well","Pollution","Hut","Farmland","Fallo
 multipliers_size=0
 city_options_size=3
 city_options_vector="Disband","Sci_Specialists","Tax_Specialists"
-action_size=124
-action_vector="Establish Embassy","Establish Embassy Stay","Investigate City","Investigate City Spend Unit","Poison City","Poison City Escape","Steal Gold","Steal Gold Escape","Sabotage City","Sabotage City Escape","Targeted Sabotage City","Targeted Sabotage City Escape","Sabotage City Production","Sabotage City Production Escape","Steal Tech","Steal Tech Escape Expected","Targeted Steal Tech","Targeted Steal Tech Escape Expected","Incite City","Incite City Escape","Establish Trade Route","Enter Marketplace","Help Wonder","Bribe Unit","Capture Units","Sabotage Unit","Sabotage Unit Escape","Found City","Join City","Steal Maps","Steal Maps Escape","Suitcase Nuke","Suitcase Nuke Escape","Explode Nuclear","Nuke City","Nuke Units","Destroy City","Expel Unit","Disband Unit Recover","Disband Unit","Home City","Unit Make Homeless","Upgrade Unit","Convert Unit","Airlift Unit","Attack","Attack 2","Suicide Attack","Suicide Attack 2","Surgical Strike Building","Surgical Strike Production","Conquer City","Conquer City 2","Conquer City 3","Conquer City 4","Bombard","Bombard 2","Bombard 3","Bombard Lethal","Bombard Lethal 2","Fortify","Cultivate","Plant","Transform Terrain","Build Road","Build Irrigation","Build Mine","Build Base","Pillage","Transport Board","Transport Board 2","Transport Board_3","Transport Deboard","Transport Embark","Transport Embark 2","Transport Embark 3","Transport Embark 4","Transport Disembark","Transport Disembark 2","Transport Disembark 3","Transport Disembark 4","Transport Load","Transport Load 2","Transport Load 3","Transport Unload","Spread Plague","Spy Attack","Conquer Extras","Conquer Extras 2","Conquer Extras 3","Conquer Extras 4","Enter Hut","Enter Hut 2","Enter Hut 3","Enter Hut 4","Frighten Hut","Frighten Hut 2","Frighten Hut 3","Frighten Hut 4","Heal Unit","Heal Unit 2","Paradrop Unit","Paradrop Unit Conquer","Paradrop Unit Frighten","Paradrop Unit Frighten Conquer","Paradrop Unit Enter","Paradrop Unit Enter Conquer","Wipe Units","Spy Escape","Unit Move","Unit Move 2","Unit Move 3","Teleport","Teleport Conquer","Teleport Frighten","Teleport Frighten Conquer","Teleport Enter","Teleport Enter Conquer","Clean","Collect Ransom","User Action 1","User Action 2","User Action 3","User Action 4"
+action_size=125
+action_vector="Establish Embassy","Establish Embassy Stay","Investigate City","Investigate City Spend Unit","Poison City","Poison City Escape","Steal Gold","Steal Gold Escape","Sabotage City","Sabotage City Escape","Targeted Sabotage City","Targeted Sabotage City Escape","Sabotage City Production","Sabotage City Production Escape","Steal Tech","Steal Tech Escape Expected","Targeted Steal Tech","Targeted Steal Tech Escape Expected","Incite City","Incite City Escape","Establish Trade Route","Enter Marketplace","Help Wonder","Bribe Unit","Capture Units","Sabotage Unit","Sabotage Unit Escape","Found City","Join City","Steal Maps","Steal Maps Escape","Suitcase Nuke","Suitcase Nuke Escape","Explode Nuclear","Nuke City","Nuke Units","Destroy City","Expel Unit","Disband Unit Recover","Disband Unit","Home City","Unit Make Homeless","Upgrade Unit","Convert Unit","Airlift Unit","Attack","Attack 2","Suicide Attack","Suicide Attack 2","Surgical Strike Building","Surgical Strike Production","Conquer City","Conquer City 2","Conquer City 3","Conquer City 4","Bombard","Bombard 2","Bombard 3","Bombard 4","Bombard Lethal","Bombard Lethal 2","Fortify","Cultivate","Plant","Transform Terrain","Build Road","Build Irrigation","Build Mine","Build Base","Pillage","Transport Board","Transport Board 2","Transport Board_3","Transport Deboard","Transport Embark","Transport Embark 2","Transport Embark 3","Transport Embark 4","Transport Disembark","Transport Disembark 2","Transport Disembark 3","Transport Disembark 4","Transport Load","Transport Load 2","Transport Load 3","Transport Unload","Spread Plague","Spy Attack","Conquer Extras","Conquer Extras 2","Conquer Extras 3","Conquer Extras 4","Enter Hut","Enter Hut 2","Enter Hut 3","Enter Hut 4","Frighten Hut","Frighten Hut 2","Frighten Hut 3","Frighten Hut 4","Heal Unit","Heal Unit 2","Paradrop Unit","Paradrop Unit Conquer","Paradrop Unit Frighten","Paradrop Unit Frighten Conquer","Paradrop Unit Enter","Paradrop Unit Enter Conquer","Wipe Units","Spy Escape","Unit Move","Unit Move 2","Unit Move 3","Teleport","Teleport Conquer","Teleport Frighten","Teleport Frighten Conquer","Teleport Enter","Teleport Enter Conquer","Clean","Collect Ransom","User Action 1","User Action 2","User Action 3","User Action 4"
 action_decision_size=3
 action_decision_vector="nothing","passive","active"
 server_side_agent_size=3
@@ -1129,7 +1129,7 @@ k00_0028="0000000000000022220000000000000000000000000000000000111111111155555444
 k00_0029="000000000000002222220000000000000000000000000000000019999911115555544440000000"
 k00_0030="000000000000000222222000000000000000000000000000000099999991115555544440000000"
 k00_0031="000000000000000022222000000000000000000000000000000099999999115555444440000000"
-k00_0032="00000000000000002222200000000000000000000000000000009999988899dccc444440000000"
+k00_0032="00000000000000002222200000000000000000000000000000009999989999dccc444440000000"
 k00_0033="000000000000000002220000000000000000000000000000000088888888888ccc444440000000"
 k00_0034="00000000000000000000000000000000000000000000000000008888ccc8888ccc444440000000"
 k00_0035="00000000000000000000000000000000000000000000000000008888ccc8888844444440000000"
@@ -1185,11 +1185,11 @@ k01_0032="0000000000000000000000000000000000000000000000000000000000000000000000
 k01_0033="000000000000000000000000000000111000000000000000000000000000000000000000000000"
 k01_0034="000000000000000000000000000001111100000000000000000000000000000000000000000000"
 k01_0035="000000000000000000000000000001111100000000000000000000000000000000000000000000"
-k01_0036="000000000000000000000000000001111100000000000000000000000000000000000000000000"
-k01_0037="000000000000000000000000000011111000000000000000000000000000000000000000000000"
-k01_0038="000000000000000000000000000011110000000000000000000000000000000000000000000000"
-k01_0039="000000000000000000000000000011100000000000000000000000000000000000000000000000"
-k01_0040="000000000000000000000000000000000000000000000000000000000000000000000000000000"
+k01_0036="000000000000000000000000000011111100000000000000000000000000000000000000000000"
+k01_0037="000000000000000000000000000111111000000000000000000000000000000000000000000000"
+k01_0038="000000000000000000000000000111110000000000000000000000000000000000000000000000"
+k01_0039="000000000000000000000000000111110000000000000000000000000000000000000000000000"
+k01_0040="000000000000000000000000000011100000000000000000000000000000000000000000000000"
 k01_0041="000000000000000000000000000000000000000000000000000000000000000000000000000000"
 k01_0042="000000000000000000000000000000000000000000000000000000000000000000000000000000"
 k01_0043="000000000000000000000000000000000000000000000000000000000000000000000000000000"
@@ -1346,7 +1346,7 @@ map_t0028="uuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu  :   fmfff+++huu
 map_t0029="uuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu :::  mmmf+++++uuuuuuuuuuu"
 map_t0030="uuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu:::: mmmmmj+++puuuuuuuuuuu"
 map_t0031="uuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu:::::gmmmjjj+puuuuuuuuuuuu"
-map_t0032="uuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu::::guuujjjuuuuuuuuuuuuuuu"
+map_t0032="uuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu::::gugmjjjuuuuuuuuuuuuuuu"
 map_t0033="uuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu"
 map_t0034="uuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu"
 map_t0035="uuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu"
@@ -1398,7 +1398,7 @@ map_e00_0028="000000000000000000000000000000000000000000000000000000000000000000
 map_e00_0029="000000000000000000000000000000000000000000000000000000000000000000000000000000"
 map_e00_0030="000000000000000000000000000000000000000000000000000000000000000000000000000000"
 map_e00_0031="000000000000000000000000000000000000000000000000000000000000000001000000000000"
-map_e00_0032="000000000000000000000000000000000000000000000000000000000000000000000000000000"
+map_e00_0032="000000000000000000000000000000000000000000000000000000000010000000000000000000"
 map_e00_0033="000000000000000000000000000000000000000000000000000000000000000000000000000000"
 map_e00_0034="000000000000000000000000000000000000000000000000000000000000000000000000000000"
 map_e00_0035="000000000000000000000000000000000000000000000000000000000000000000000000000000"
@@ -1450,7 +1450,7 @@ map_e01_0028="000000000000000000000000000000000000000000000000000000000000000000
 map_e01_0029="000000000000000000000000000000000000000000000000000000000000000000000000000000"
 map_e01_0030="000000000000000000000000000000000000000000000000000000000000000000000000000000"
 map_e01_0031="000000000000000000000000000000000000000000000000000000000000000000000000000000"
-map_e01_0032="000000000000000000000000000000000000000000000000000000000000000000000000000000"
+map_e01_0032="000000000000000000000000000000000000000000000000000000000020000000000000000000"
 map_e01_0033="000000000000000000000000000000000000000000000000000000000000000000000000000000"
 map_e01_0034="000000000000000000000000000000000000000000000000000000000000000000000000000000"
 map_e01_0035="000000000000000000000000000000000000000000000000000000000000000000000000000000"
@@ -4742,11 +4742,11 @@ map_t0032="uuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu
 map_t0033="uuuuuuuuuuuuuuuuuuuuuuuuuuuuuuddduuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu"
 map_t0034="uuuuuuuuuuuuuuuuuuuuuuuuuuuuudgmhduuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu"
 map_t0035="uuuuuuuuuuuuuuuuuuuuuuuuuuuuufhfhguuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu"
-map_t0036="uuuuuuuuuuuuuuuuuuuuuuuuuuuuufhffguuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu"
-map_t0037="uuuuuuuuuuuuuuuuuuuuuuuuuuuugmhhguuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu"
-map_t0038="uuuuuuuuuuuuuuuuuuuuuuuuuuuugmhpuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu"
-map_t0039="uuuuuuuuuuuuuuuuuuuuuuuuuuuupghuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu"
-map_t0040="uuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu"
+map_t0036="uuuuuuuuuuuuuuuuuuuuuuuuuuuusfhffguuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu"
+map_t0037="uuuuuuuuuuuuuuuuuuuuuuuuuuu gmhhguuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu"
+map_t0038="uuuuuuuuuuuuuuuuuuuuuuuuuuu gmhpuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu"
+map_t0039="uuuuuuuuuuuuuuuuuuuuuuuuuuu pghhuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu"
+map_t0040="uuuuuuuuuuuuuuuuuuuuuuuuuuuu gguuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu"
 map_t0041="uuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu"
 map_t0042="uuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu"
 map_t0043="uuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu"
@@ -4954,7 +4954,7 @@ map_e03_0036="000000000000000000000000000000022000000000000000000000000000000000
 map_e03_0037="000000000000000000000000000000002000000000000000000000000000000000000000000000"
 map_e03_0038="000000000000000000000000000008000000000000000000000000000000000000000000000000"
 map_e03_0039="000000000000000000000000000000000000000000000000000000000000000000000000000000"
-map_e03_0040="000000000000000000000000000000000000000000000000000000000000000000000000000000"
+map_e03_0040="000000000000000000000000000000200000000000000000000000000000000000000000000000"
 map_e03_0041="000000000000000000000000000000000000000000000000000000000000000000000000000000"
 map_e03_0042="000000000000000000000000000000000000000000000000000000000000000000000000000000"
 map_e03_0043="000000000000000000000000000000000000000000000000000000000000000000000000000000"
@@ -5110,7 +5110,7 @@ map_e06_0036="000000000000000000000000000000000000000000000000000000000000000000
 map_e06_0037="000000000000000000000000000000000000000000000000000000000000000000000000000000"
 map_e06_0038="000000000000000000000000000000000000000000000000000000000000000000000000000000"
 map_e06_0039="000000000000000000000000000000000000000000000000000000000000000000000000000000"
-map_e06_0040="000000000000000000000000000000000000000000000000000000000000000000000000000000"
+map_e06_0040="000000000000000000000000000000800000000000000000000000000000000000000000000000"
 map_e06_0041="000000000000000000000000000000000000000000000000000000000000000000000000000000"
 map_e06_0042="000000000000000000000000000000000000000000000000000000000000000000000000000000"
 map_e06_0043="000000000000000000000000000000000000000000000000000000000000000000000000000000"
@@ -5162,7 +5162,7 @@ map_e07_0036="000000000000000000000000000000000000000000000000000000000000000000
 map_e07_0037="000000000000000000000000000000000000000000000000000000000000000000000000000000"
 map_e07_0038="000000000000000000000000000000000000000000000000000000000000000000000000000000"
 map_e07_0039="000000000000000000000000000000000000000000000000000000000000000000000000000000"
-map_e07_0040="000000000000000000000000000000000000000000000000000000000000000000000000000000"
+map_e07_0040="000000000000000000000000000080000000000000000000000000000000000000000000000000"
 map_e07_0041="000000000000000000000000000000000000000000000000000000000000000000000000000000"
 map_e07_0042="000000000000000000000000000000000000000000000000000000000000000000000000000000"
 map_e07_0043="000000000000000000000000000000000000000000000000000000000000000000000000000000"
-- 
2.47.2