From 0a2393674bd8f0cebe203cd054f32271edd855b3 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Tue, 20 May 2025 03:29:27 +0300
Subject: [PATCH 63/63] styles.rulesets: Replace tabs with spaces

See RM #1416

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 data/alien/styles.ruleset         |  4 ++--
 data/civ1/styles.ruleset          | 26 +++++++++++++-------------
 data/civ2/styles.ruleset          | 26 +++++++++++++-------------
 data/civ2civ3/styles.ruleset      | 26 +++++++++++++-------------
 data/classic/styles.ruleset       | 26 +++++++++++++-------------
 data/goldkeep/styles.ruleset      | 26 +++++++++++++-------------
 data/granularity/styles.ruleset   |  6 +++---
 data/multiplayer/styles.ruleset   | 26 +++++++++++++-------------
 data/sandbox/styles.ruleset       | 26 +++++++++++++-------------
 data/stub/styles.ruleset          |  6 +++---
 data/webperimental/styles.ruleset | 26 +++++++++++++-------------
 11 files changed, 112 insertions(+), 112 deletions(-)

diff --git a/data/alien/styles.ruleset b/data/alien/styles.ruleset
index a261bf5c94..eb73159acc 100644
--- a/data/alien/styles.ruleset
+++ b/data/alien/styles.ruleset
@@ -85,8 +85,8 @@ reqs =
 ;
 ; music_peaceful = Music to play when nation in peaceful mood
 ; music_combat   = Music to play when nation in combat mood
-; reqs		 = requirements to activate the style (see effects.ruleset
-;		   and README.effects for help on requirements)
+; reqs           = requirements to activate the style (see effects.ruleset
+;                  and README.effects for help on requirements)
 ;
 ; */ <-- avoid gettext warnings
 
diff --git a/data/civ1/styles.ruleset b/data/civ1/styles.ruleset
index 32c0364235..e35192ca1e 100644
--- a/data/civ1/styles.ruleset
+++ b/data/civ1/styles.ruleset
@@ -160,15 +160,15 @@ reqs = { "type", "name", "range"
 ;
 ; music_peaceful = Music to play when nation in peaceful mood
 ; music_combat   = Music to play when nation in combat mood
-; reqs		 = requirements to activate the style (see effects.ruleset
-;		   and README.effects for help on requirements)
+; reqs           = requirements to activate the style (see effects.ruleset
+;                  and README.effects for help on requirements)
 ;
 ; */ <-- avoid gettext warnings
 
 [musicstyle_european]
 music_peaceful     = "music_european_peace"
 music_combat       = "music_european_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "European", "Player"
     }
@@ -176,7 +176,7 @@ reqs	=
 [musicstyle_classical]
 music_peaceful     = "music_classical_peace"
 music_combat       = "music_classical_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Classical", "Player"
     }
@@ -184,7 +184,7 @@ reqs	=
 [musicstyle_tropical]
 music_peaceful     = "music_tropical_peace"
 music_combat       = "music_tropical_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Tropical", "Player"
     }
@@ -192,7 +192,7 @@ reqs	=
 [musicstyle_asian]
 music_peaceful     = "music_asian_peace"
 music_combat       = "music_asian_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Asian", "Player"
     }
@@ -200,7 +200,7 @@ reqs	=
 [musicstyle_babylonian]
 music_peaceful     = "music_babylonian_peace"
 music_combat       = "music_babylonian_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Babylonian", "Player"
     }
@@ -208,7 +208,7 @@ reqs	=
 [musicstyle_celtic]
 music_peaceful     = "music_celtic_peace"
 music_combat       = "music_celtic_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Celtic", "Player"
     }
@@ -216,7 +216,7 @@ reqs	=
 [musicstyle_renaissance]
 music_peaceful     = "music_renaissance_peace"
 music_combat       = "music_renaissance_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "University", "Player"
     }
@@ -224,7 +224,7 @@ reqs	=
 [musicstyle_industrial]
 music_peaceful     = "music_industrial_peace"
 music_combat       = "music_industrial_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Railroad", "Player"
     }
@@ -232,7 +232,7 @@ reqs	=
 [musicstyle_electricage]
 music_peaceful     = "music_electricage_peace"
 music_combat       = "music_electricage_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Automobile", "Player"
     }
@@ -240,7 +240,7 @@ reqs	=
 [musicstyle_modern]
 music_peaceful     = "music_modern_peace"
 music_combat       = "music_modern_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Rocketry", "Player"
     }
@@ -248,7 +248,7 @@ reqs	=
 [musicstyle_postmodern]
 music_peaceful     = "music_postmodern_peace"
 music_combat       = "music_postmodern_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Superconductors", "Player"
     }
diff --git a/data/civ2/styles.ruleset b/data/civ2/styles.ruleset
index 32c0364235..e35192ca1e 100644
--- a/data/civ2/styles.ruleset
+++ b/data/civ2/styles.ruleset
@@ -160,15 +160,15 @@ reqs = { "type", "name", "range"
 ;
 ; music_peaceful = Music to play when nation in peaceful mood
 ; music_combat   = Music to play when nation in combat mood
-; reqs		 = requirements to activate the style (see effects.ruleset
-;		   and README.effects for help on requirements)
+; reqs           = requirements to activate the style (see effects.ruleset
+;                  and README.effects for help on requirements)
 ;
 ; */ <-- avoid gettext warnings
 
 [musicstyle_european]
 music_peaceful     = "music_european_peace"
 music_combat       = "music_european_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "European", "Player"
     }
@@ -176,7 +176,7 @@ reqs	=
 [musicstyle_classical]
 music_peaceful     = "music_classical_peace"
 music_combat       = "music_classical_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Classical", "Player"
     }
@@ -184,7 +184,7 @@ reqs	=
 [musicstyle_tropical]
 music_peaceful     = "music_tropical_peace"
 music_combat       = "music_tropical_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Tropical", "Player"
     }
@@ -192,7 +192,7 @@ reqs	=
 [musicstyle_asian]
 music_peaceful     = "music_asian_peace"
 music_combat       = "music_asian_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Asian", "Player"
     }
@@ -200,7 +200,7 @@ reqs	=
 [musicstyle_babylonian]
 music_peaceful     = "music_babylonian_peace"
 music_combat       = "music_babylonian_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Babylonian", "Player"
     }
@@ -208,7 +208,7 @@ reqs	=
 [musicstyle_celtic]
 music_peaceful     = "music_celtic_peace"
 music_combat       = "music_celtic_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Celtic", "Player"
     }
@@ -216,7 +216,7 @@ reqs	=
 [musicstyle_renaissance]
 music_peaceful     = "music_renaissance_peace"
 music_combat       = "music_renaissance_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "University", "Player"
     }
@@ -224,7 +224,7 @@ reqs	=
 [musicstyle_industrial]
 music_peaceful     = "music_industrial_peace"
 music_combat       = "music_industrial_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Railroad", "Player"
     }
@@ -232,7 +232,7 @@ reqs	=
 [musicstyle_electricage]
 music_peaceful     = "music_electricage_peace"
 music_combat       = "music_electricage_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Automobile", "Player"
     }
@@ -240,7 +240,7 @@ reqs	=
 [musicstyle_modern]
 music_peaceful     = "music_modern_peace"
 music_combat       = "music_modern_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Rocketry", "Player"
     }
@@ -248,7 +248,7 @@ reqs	=
 [musicstyle_postmodern]
 music_peaceful     = "music_postmodern_peace"
 music_combat       = "music_postmodern_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Superconductors", "Player"
     }
diff --git a/data/civ2civ3/styles.ruleset b/data/civ2civ3/styles.ruleset
index ec58ce223d..0f3071e4ed 100644
--- a/data/civ2civ3/styles.ruleset
+++ b/data/civ2civ3/styles.ruleset
@@ -160,15 +160,15 @@ reqs = { "type", "name", "range"
 ;
 ; music_peaceful = Music to play when nation in peaceful mood
 ; music_combat   = Music to play when nation in combat mood
-; reqs		 = requirements to activate the style (see effects.ruleset
-;		   and README.effects for help on requirements)
+; reqs           = requirements to activate the style (see effects.ruleset
+;                  and README.effects for help on requirements)
 ;
 ; */ <-- avoid gettext warnings
 
 [musicstyle_european]
 music_peaceful     = "music_european_peace"
 music_combat       = "music_european_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "European", "Player"
     }
@@ -176,7 +176,7 @@ reqs	=
 [musicstyle_classical]
 music_peaceful     = "music_classical_peace"
 music_combat       = "music_classical_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Classical", "Player"
     }
@@ -184,7 +184,7 @@ reqs	=
 [musicstyle_tropical]
 music_peaceful     = "music_tropical_peace"
 music_combat       = "music_tropical_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Tropical", "Player"
     }
@@ -192,7 +192,7 @@ reqs	=
 [musicstyle_asian]
 music_peaceful     = "music_asian_peace"
 music_combat       = "music_asian_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Asian", "Player"
     }
@@ -200,7 +200,7 @@ reqs	=
 [musicstyle_babylonian]
 music_peaceful     = "music_babylonian_peace"
 music_combat       = "music_babylonian_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Babylonian", "Player"
     }
@@ -208,7 +208,7 @@ reqs	=
 [musicstyle_celtic]
 music_peaceful     = "music_celtic_peace"
 music_combat       = "music_celtic_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Celtic", "Player"
     }
@@ -216,7 +216,7 @@ reqs	=
 [musicstyle_renaissance]
 music_peaceful     = "music_renaissance_peace"
 music_combat       = "music_renaissance_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "University", "Player"
     }
@@ -224,7 +224,7 @@ reqs	=
 [musicstyle_industrial]
 music_peaceful     = "music_industrial_peace"
 music_combat       = "music_industrial_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Railroad", "Player"
     }
@@ -232,7 +232,7 @@ reqs	=
 [musicstyle_electricage]
 music_peaceful     = "music_electricage_peace"
 music_combat       = "music_electricage_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Automobile", "Player"
     }
@@ -240,7 +240,7 @@ reqs	=
 [musicstyle_modern]
 music_peaceful     = "music_modern_peace"
 music_combat       = "music_modern_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Rocketry", "Player"
     }
@@ -248,7 +248,7 @@ reqs	=
 [musicstyle_postmodern]
 music_peaceful     = "music_postmodern_peace"
 music_combat       = "music_postmodern_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Superconductors", "Player"
     }
diff --git a/data/classic/styles.ruleset b/data/classic/styles.ruleset
index ef19c27fdd..61c2a630a9 100644
--- a/data/classic/styles.ruleset
+++ b/data/classic/styles.ruleset
@@ -160,15 +160,15 @@ reqs = { "type", "name", "range"
 ;
 ; music_peaceful = Music to play when nation in peaceful mood
 ; music_combat   = Music to play when nation in combat mood
-; reqs		 = requirements to activate the style (see effects.ruleset
-;		   and README.effects for help on requirements)
+; reqs           = requirements to activate the style (see effects.ruleset
+;                  and README.effects for help on requirements)
 ;
 ; */ <-- avoid gettext warnings
 
 [musicstyle_european]
 music_peaceful     = "music_european_peace"
 music_combat       = "music_european_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "European", "Player"
     }
@@ -176,7 +176,7 @@ reqs	=
 [musicstyle_classical]
 music_peaceful     = "music_classical_peace"
 music_combat       = "music_classical_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Classical", "Player"
     }
@@ -184,7 +184,7 @@ reqs	=
 [musicstyle_tropical]
 music_peaceful     = "music_tropical_peace"
 music_combat       = "music_tropical_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Tropical", "Player"
     }
@@ -192,7 +192,7 @@ reqs	=
 [musicstyle_asian]
 music_peaceful     = "music_asian_peace"
 music_combat       = "music_asian_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Asian", "Player"
     }
@@ -200,7 +200,7 @@ reqs	=
 [musicstyle_babylonian]
 music_peaceful     = "music_babylonian_peace"
 music_combat       = "music_babylonian_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Babylonian", "Player"
     }
@@ -208,7 +208,7 @@ reqs	=
 [musicstyle_celtic]
 music_peaceful     = "music_celtic_peace"
 music_combat       = "music_celtic_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Celtic", "Player"
     }
@@ -216,7 +216,7 @@ reqs	=
 [musicstyle_renaissance]
 music_peaceful     = "music_renaissance_peace"
 music_combat       = "music_renaissance_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "University", "Player"
     }
@@ -224,7 +224,7 @@ reqs	=
 [musicstyle_industrial]
 music_peaceful     = "music_industrial_peace"
 music_combat       = "music_industrial_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Railroad", "Player"
     }
@@ -232,7 +232,7 @@ reqs	=
 [musicstyle_electricage]
 music_peaceful     = "music_electricage_peace"
 music_combat       = "music_electricage_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Automobile", "Player"
     }
@@ -240,7 +240,7 @@ reqs	=
 [musicstyle_modern]
 music_peaceful     = "music_modern_peace"
 music_combat       = "music_modern_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Rocketry", "Player"
     }
@@ -248,7 +248,7 @@ reqs	=
 [musicstyle_postmodern]
 music_peaceful     = "music_postmodern_peace"
 music_combat       = "music_postmodern_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Superconductors", "Player"
     }
diff --git a/data/goldkeep/styles.ruleset b/data/goldkeep/styles.ruleset
index f47b5cc07c..5902d0f852 100644
--- a/data/goldkeep/styles.ruleset
+++ b/data/goldkeep/styles.ruleset
@@ -162,15 +162,15 @@ reqs = { "type", "name", "range"
 ;
 ; music_peaceful = Music to play when nation in peaceful mood
 ; music_combat   = Music to play when nation in combat mood
-; reqs		 = requirements to activate the style (see effects.ruleset
-;		   and README.effects for help on requirements)
+; reqs           = requirements to activate the style (see effects.ruleset
+;                  and README.effects for help on requirements)
 ;
 ; */ <-- avoid gettext warnings
 
 [musicstyle_european]
 music_peaceful     = "music_european_peace"
 music_combat       = "music_european_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "European", "Player"
     }
@@ -178,7 +178,7 @@ reqs	=
 [musicstyle_classical]
 music_peaceful     = "music_classical_peace"
 music_combat       = "music_classical_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Classical", "Player"
     }
@@ -186,7 +186,7 @@ reqs	=
 [musicstyle_tropical]
 music_peaceful     = "music_tropical_peace"
 music_combat       = "music_tropical_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Tropical", "Player"
     }
@@ -194,7 +194,7 @@ reqs	=
 [musicstyle_asian]
 music_peaceful     = "music_asian_peace"
 music_combat       = "music_asian_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Asian", "Player"
     }
@@ -202,7 +202,7 @@ reqs	=
 [musicstyle_babylonian]
 music_peaceful     = "music_babylonian_peace"
 music_combat       = "music_babylonian_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Babylonian", "Player"
     }
@@ -210,7 +210,7 @@ reqs	=
 [musicstyle_celtic]
 music_peaceful     = "music_celtic_peace"
 music_combat       = "music_celtic_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Celtic", "Player"
     }
@@ -218,7 +218,7 @@ reqs	=
 [musicstyle_renaissance]
 music_peaceful     = "music_renaissance_peace"
 music_combat       = "music_renaissance_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "University", "Player"
     }
@@ -226,7 +226,7 @@ reqs	=
 [musicstyle_industrial]
 music_peaceful     = "music_industrial_peace"
 music_combat       = "music_industrial_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Railroad", "Player"
     }
@@ -234,7 +234,7 @@ reqs	=
 [musicstyle_electricage]
 music_peaceful     = "music_electricage_peace"
 music_combat       = "music_electricage_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Automobile", "Player"
     }
@@ -242,7 +242,7 @@ reqs	=
 [musicstyle_modern]
 music_peaceful     = "music_modern_peace"
 music_combat       = "music_modern_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Rocketry", "Player"
     }
@@ -250,7 +250,7 @@ reqs	=
 [musicstyle_postmodern]
 music_peaceful     = "music_postmodern_peace"
 music_combat       = "music_postmodern_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Superconductors", "Player"
     }
diff --git a/data/granularity/styles.ruleset b/data/granularity/styles.ruleset
index 8c9e2b0a21..b4a1dbe438 100644
--- a/data/granularity/styles.ruleset
+++ b/data/granularity/styles.ruleset
@@ -64,14 +64,14 @@ reqs = { "type", "name", "range"
 ;
 ; music_peaceful = Music to play when nation in peaceful mood
 ; music_combat   = Music to play when nation in combat mood
-; reqs		 = requirements to activate the style (see effects.ruleset
-;		   and README.effects for help on requirements)
+; reqs           = requirements to activate the style (see effects.ruleset
+;                  and README.effects for help on requirements)
 ;
 ; */ <-- avoid gettext warnings
 
 [musicstyle_generic]
 music_peaceful     = "music_generic"
 music_combat       = "music_generic"
-reqs	=
+reqs    =
     { "type", "name", "range"
     }
diff --git a/data/multiplayer/styles.ruleset b/data/multiplayer/styles.ruleset
index ec58ce223d..0f3071e4ed 100644
--- a/data/multiplayer/styles.ruleset
+++ b/data/multiplayer/styles.ruleset
@@ -160,15 +160,15 @@ reqs = { "type", "name", "range"
 ;
 ; music_peaceful = Music to play when nation in peaceful mood
 ; music_combat   = Music to play when nation in combat mood
-; reqs		 = requirements to activate the style (see effects.ruleset
-;		   and README.effects for help on requirements)
+; reqs           = requirements to activate the style (see effects.ruleset
+;                  and README.effects for help on requirements)
 ;
 ; */ <-- avoid gettext warnings
 
 [musicstyle_european]
 music_peaceful     = "music_european_peace"
 music_combat       = "music_european_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "European", "Player"
     }
@@ -176,7 +176,7 @@ reqs	=
 [musicstyle_classical]
 music_peaceful     = "music_classical_peace"
 music_combat       = "music_classical_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Classical", "Player"
     }
@@ -184,7 +184,7 @@ reqs	=
 [musicstyle_tropical]
 music_peaceful     = "music_tropical_peace"
 music_combat       = "music_tropical_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Tropical", "Player"
     }
@@ -192,7 +192,7 @@ reqs	=
 [musicstyle_asian]
 music_peaceful     = "music_asian_peace"
 music_combat       = "music_asian_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Asian", "Player"
     }
@@ -200,7 +200,7 @@ reqs	=
 [musicstyle_babylonian]
 music_peaceful     = "music_babylonian_peace"
 music_combat       = "music_babylonian_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Babylonian", "Player"
     }
@@ -208,7 +208,7 @@ reqs	=
 [musicstyle_celtic]
 music_peaceful     = "music_celtic_peace"
 music_combat       = "music_celtic_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Celtic", "Player"
     }
@@ -216,7 +216,7 @@ reqs	=
 [musicstyle_renaissance]
 music_peaceful     = "music_renaissance_peace"
 music_combat       = "music_renaissance_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "University", "Player"
     }
@@ -224,7 +224,7 @@ reqs	=
 [musicstyle_industrial]
 music_peaceful     = "music_industrial_peace"
 music_combat       = "music_industrial_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Railroad", "Player"
     }
@@ -232,7 +232,7 @@ reqs	=
 [musicstyle_electricage]
 music_peaceful     = "music_electricage_peace"
 music_combat       = "music_electricage_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Automobile", "Player"
     }
@@ -240,7 +240,7 @@ reqs	=
 [musicstyle_modern]
 music_peaceful     = "music_modern_peace"
 music_combat       = "music_modern_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Rocketry", "Player"
     }
@@ -248,7 +248,7 @@ reqs	=
 [musicstyle_postmodern]
 music_peaceful     = "music_postmodern_peace"
 music_combat       = "music_postmodern_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Superconductors", "Player"
     }
diff --git a/data/sandbox/styles.ruleset b/data/sandbox/styles.ruleset
index 0135ab0110..65bfaaab4a 100644
--- a/data/sandbox/styles.ruleset
+++ b/data/sandbox/styles.ruleset
@@ -160,15 +160,15 @@ reqs = { "type", "name", "range"
 ;
 ; music_peaceful = Music to play when nation in peaceful mood
 ; music_combat   = Music to play when nation in combat mood
-; reqs		 = requirements to activate the style (see effects.ruleset
-;		   and README.effects for help on requirements)
+; reqs           = requirements to activate the style (see effects.ruleset
+;                  and README.effects for help on requirements)
 ;
 ; */ <-- avoid gettext warnings
 
 [musicstyle_european]
 music_peaceful     = "music_european_peace"
 music_combat       = "music_european_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "European", "Player"
     }
@@ -176,7 +176,7 @@ reqs	=
 [musicstyle_classical]
 music_peaceful     = "music_classical_peace"
 music_combat       = "music_classical_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Classical", "Player"
     }
@@ -184,7 +184,7 @@ reqs	=
 [musicstyle_tropical]
 music_peaceful     = "music_tropical_peace"
 music_combat       = "music_tropical_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Tropical", "Player"
     }
@@ -192,7 +192,7 @@ reqs	=
 [musicstyle_asian]
 music_peaceful     = "music_asian_peace"
 music_combat       = "music_asian_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Asian", "Player"
     }
@@ -200,7 +200,7 @@ reqs	=
 [musicstyle_babylonian]
 music_peaceful     = "music_babylonian_peace"
 music_combat       = "music_babylonian_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Babylonian", "Player"
     }
@@ -208,7 +208,7 @@ reqs	=
 [musicstyle_celtic]
 music_peaceful     = "music_celtic_peace"
 music_combat       = "music_celtic_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Celtic", "Player"
     }
@@ -216,7 +216,7 @@ reqs	=
 [musicstyle_renaissance]
 music_peaceful     = "music_renaissance_peace"
 music_combat       = "music_renaissance_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "University", "Player"
     }
@@ -224,7 +224,7 @@ reqs	=
 [musicstyle_industrial]
 music_peaceful     = "music_industrial_peace"
 music_combat       = "music_industrial_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Railroad", "Player"
     }
@@ -232,7 +232,7 @@ reqs	=
 [musicstyle_electricage]
 music_peaceful     = "music_electricage_peace"
 music_combat       = "music_electricage_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Automobile", "Player"
     }
@@ -240,7 +240,7 @@ reqs	=
 [musicstyle_modern]
 music_peaceful     = "music_modern_peace"
 music_combat       = "music_modern_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Rocketry", "Player"
     }
@@ -248,7 +248,7 @@ reqs	=
 [musicstyle_postmodern]
 music_peaceful     = "music_postmodern_peace"
 music_combat       = "music_postmodern_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Superconductors", "Player"
     }
diff --git a/data/stub/styles.ruleset b/data/stub/styles.ruleset
index 15d9d3c188..f72e644112 100644
--- a/data/stub/styles.ruleset
+++ b/data/stub/styles.ruleset
@@ -58,14 +58,14 @@ reqs = { "type", "name", "range"
 ;
 ; music_peaceful = Music to play when nation in peaceful mood
 ; music_combat   = Music to play when nation in combat mood
-; reqs		 = requirements to activate the style (see effects.ruleset
-;		   and README.effects for help on requirements)
+; reqs           = requirements to activate the style (see effects.ruleset
+;                  and README.effects for help on requirements)
 ;
 ; */ <-- avoid gettext warnings
 
 [musicstyle_generic]
 music_peaceful     = "music_generic"
 music_combat       = "music_generic"
-reqs	=
+reqs    =
     { "type", "name", "range"
     }
diff --git a/data/webperimental/styles.ruleset b/data/webperimental/styles.ruleset
index bfbd3d1280..e38344b388 100644
--- a/data/webperimental/styles.ruleset
+++ b/data/webperimental/styles.ruleset
@@ -160,15 +160,15 @@ reqs = { "type", "name", "range"
 ;
 ; music_peaceful = Music to play when nation in peaceful mood
 ; music_combat   = Music to play when nation in combat mood
-; reqs		 = requirements to activate the style (see effects.ruleset
-;		   and README.effects for help on requirements)
+; reqs           = requirements to activate the style (see effects.ruleset
+;                  and README.effects for help on requirements)
 ;
 ; */ <-- avoid gettext warnings
 
 [musicstyle_european]
 music_peaceful     = "music_european_peace"
 music_combat       = "music_european_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "European", "Player"
     }
@@ -176,7 +176,7 @@ reqs	=
 [musicstyle_classical]
 music_peaceful     = "music_classical_peace"
 music_combat       = "music_classical_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Classical", "Player"
     }
@@ -184,7 +184,7 @@ reqs	=
 [musicstyle_tropical]
 music_peaceful     = "music_tropical_peace"
 music_combat       = "music_tropical_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Tropical", "Player"
     }
@@ -192,7 +192,7 @@ reqs	=
 [musicstyle_asian]
 music_peaceful     = "music_asian_peace"
 music_combat       = "music_asian_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Asian", "Player"
     }
@@ -200,7 +200,7 @@ reqs	=
 [musicstyle_babylonian]
 music_peaceful     = "music_babylonian_peace"
 music_combat       = "music_babylonian_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Babylonian", "Player"
     }
@@ -208,7 +208,7 @@ reqs	=
 [musicstyle_celtic]
 music_peaceful     = "music_celtic_peace"
 music_combat       = "music_celtic_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Style", "Celtic", "Player"
     }
@@ -216,7 +216,7 @@ reqs	=
 [musicstyle_renaissance]
 music_peaceful     = "music_renaissance_peace"
 music_combat       = "music_renaissance_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "University", "Player"
     }
@@ -224,7 +224,7 @@ reqs	=
 [musicstyle_industrial]
 music_peaceful     = "music_industrial_peace"
 music_combat       = "music_industrial_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Railroad", "Player"
     }
@@ -232,7 +232,7 @@ reqs	=
 [musicstyle_electricage]
 music_peaceful     = "music_electricage_peace"
 music_combat       = "music_electricage_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Automobile", "Player"
     }
@@ -240,7 +240,7 @@ reqs	=
 [musicstyle_modern]
 music_peaceful     = "music_modern_peace"
 music_combat       = "music_modern_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Rocketry", "Player"
     }
@@ -248,7 +248,7 @@ reqs	=
 [musicstyle_postmodern]
 music_peaceful     = "music_postmodern_peace"
 music_combat       = "music_postmodern_combat"
-reqs	=
+reqs    =
     { "type", "name", "range"
       "Tech", "Superconductors", "Player"
     }
-- 
2.47.2